---
title: VideoPlaybackQuality.corruptedVideoFrames
slug: Web/API/VideoPlaybackQuality/corruptedVideoFrames
tags:
  - API
  - Corruption
  - Data Loss
  - Experimental
  - Frames
  - Media
  - Media Playback Quality
  - Media Playback Quality API
  - Playback
  - Property
  - Quality
  - Reference
  - Video
  - VideoPlaybackQuality
  - corruptedVideoFrames
---
<p>{{APIRef("HTML DOM")}}{{deprecated_header}}</p>

<p><span class="seoSummary">The {{domxref("VideoPlaybackQuality")}} interface's read-only <code><strong>corruptedVideoFrames</strong></code> property the number of corrupted video frames that have been received since the {{HTMLElement("video")}} element was last loaded or reloaded.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>corruptFrameFount</em> = <em>videoPlaybackQuality</em>.corruptedVideoFrames;</pre>

<h3 id="Value">Value</h3>

<p>The number of corrupted video frames that have been received since the {{HTMLElement("video")}} element was last loaded or reloaded.</p>

<p>It is up to the {{Glossary("user agent")}} to determine whether or not to display a corrupted video frame. If a corrupted frame is dropped, then both <code>corruptedVideoFrames</code> and {{domxref("VideoPlaybackQuality.droppedVideoFrames", "droppedVideoFrames")}} are incremented.</p>

<h2 id="Example">Example</h2>

<p>This example determines the percentage of frames which have been corrupted, and if the value is greater than 5%, calls a funciton called <code>downgradeVideo()</code> that would be implemented to switch to a different video that might tax the network less.</p>

<pre class="brush: js">var videoElem = document.getElementById("my_vid");
var quality = videoElem.getVideoPlaybackQuality();

if (quality.corruptedVideoFrames/quality.totalVideoFrames &gt; 0.05) {
  downgradeVideo(videoElem);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Playback Quality', '#dom-videoplaybackquality-corruptedvideoframes', 'VideoPlaybackQuality: corruptedVideoFrames')}}</td>
   <td>{{Spec2('Media Playback Quality')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.VideoPlaybackQuality.corruptedVideoFrames")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLVideoElement.getVideoPlaybackQuality()")}} method for constructing and returning this interface</li>
</ul>
